package parser.pda;

import parser.parsetree.*;
import parser.grammar.*;
import parser.pda.stateMachine.*;
import parser.pda.tokenStream.Looker;
import util.Message;
import java.util.*;
import parser.parsetree.treeFactory.*;

public abstract class GraphDrivenParser extends Parser {

    protected StateMachine stateMachine;

    public GraphDrivenParser(StateMachine machine, SyntaxTreeFactory theTreeBuilder) {
        super(theTreeBuilder);
        stateMachine = machine;
    }

    protected abstract void makeStartNode(State state);
}
