package parser.pda.tokenStream;
import parser.grammar.Terminal;
import parser.parsetree.Token;

public abstract class ScannedTokenStream implements TokenStream {
    /**
     * @supplierRole scanner
     * @supplierCardinality 1 
     */
    protected Scanner scanner;

    public ScannedTokenStream(Scanner theScanner) {
        scanner = theScanner;
    }

    public void pushBack(Terminal terminal) {
        assert false; // Just for Parser generator.
    }
}
