
package jst.symtab;

import java.util.*;

import jst.parsetree.*;
import jst.symtab.visitor.*;

// A Type wot can be used a a type argument.
public abstract class ActualType extends TypeDecl {

	protected ActualType(Decl theOwner, String theSimpleName, JstParseTreeBranch theSource) {
    	super(theOwner, theSimpleName, theSource);
    }
	
	protected ActualType(Decl newOwner, ActualType that, Map<TypeParameter, ActualType> swaps) {
    	super(newOwner, that, swaps);
    }
	
	public ReferenceType asReferenceType() {
		return null;
	}
	
	public WildcardType asWildcardType() {
		return null;
	}

    public void accept(ModelVisitor visitor) {
        visitor.visitActualType(this);
    }
}
