package jst.symtab.link;

import parser.parsetree.*;
//import jst.parsetree.*;

public abstract class Identifier {
	
	public abstract String getName();

	public abstract int getLine();
	
	public abstract int getColumn();

	public abstract SyntaxTreeLeaf getSource(); // Maybe null.

	public String toString() {
		return getName() + " (line " + getLine() + ", column " + getColumn() + ")";
	}
}
